Bug 248885 - server crashes at startup when Xinerama enabled
Summary: server crashes at startup when Xinerama enabled
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: nodedup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-19 13:47 UTC by David Juran
Modified: 2008-06-17 01:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-17 01:55:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log (36.37 KB, text/plain)
2007-07-19 13:48 UTC, David Juran
no flags Details
xorg.conf (1.44 KB, text/plain)
2007-07-19 13:53 UTC, David Juran
no flags Details
Xorg.0.log (37.14 KB, text/plain)
2007-08-15 18:48 UTC, David Juran
no flags Details

Description David Juran 2007-07-19 13:47:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.8.1.5) Gecko/20070718 Fedora/2.0.0.5-1.fc7 Firefox/2.0.0.5

Description of problem:
When I tried to enable Xinerama on my laptop (that for the moment only has it's internal screen) the X-server crashed at startup producing the following back trace:

0: /usr/bin/Xorg(xf86SigHandler+0x6d) [0x48b99d]
1: /lib64/libc.so.6 [0x3971030630]
2: /usr/bin/Xorg(RRCrtcSetRotations+0) [0x51ec20]
3: /usr/bin/Xorg(xf86RandR12SetRotations+0x74) [0x4b3d44]
4: /usr/bin/Xorg(xf86CrtcScreenInit+0xa3) [0x4af173]
5: /usr/lib64/xorg/modules/drivers//intel_drv.so [0x2aaaabe5e25d]
6: /usr/bin/Xorg(AddScreen+0x222) [0x433e12]
7: /usr/bin/Xorg(InitOutput+0x269) [0x463289]
8: /usr/bin/Xorg(main+0x275) [0x434625]
9: /lib64/libc.so.6(__libc_start_main+0xf4) [0x397101dab4]
10: /usr/bin/Xorg(FontFileCompleteXLFD+0x229) [0x433ad9]


I use the intel driver from xorg-x11-drv-i810-2.0.0-4.fc7, attached is my xorg.conf and Xorg.0.log

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.3.0.0-9.fc7

How reproducible:
Always


Steps to Reproduce:
1. enable Xinerama
2. init 5


Actual Results:


Expected Results:


Additional info:

Comment 1 David Juran 2007-07-19 13:48:06 UTC
Created attachment 159584 [details]
Xorg.log

Comment 2 David Juran 2007-07-19 13:53:33 UTC
Created attachment 159585 [details]
xorg.conf

Comment 3 Adam Jackson 2007-07-24 13:52:54 UTC
xorg-x11-drv-i810-2.1.0-1.fc7 is in updates-testing.  Does it work better?

Comment 4 David Juran 2007-08-15 18:47:24 UTC
Hello Adam, sorry for the long delay, just came back from vacation... Anyway,
xorg-x11-drv-i810-2.1.0-1.fc7 did _not_ help )-:
Attaching Xorg log file

Comment 5 David Juran 2007-08-15 18:48:33 UTC
Created attachment 161392 [details]
Xorg.0.log

Comment 6 Dave Airlie 2007-08-15 22:24:45 UTC
why do you want to use Xinerama btw? is randr-1.2 not good enough, I would've
thought on a laptop having dynamic addition of the second head would be more
useful...


Comment 7 David Juran 2007-08-16 14:46:27 UTC
Oh I was under the impression the Xinerama extension would help e.g. OO.O figure
out that it actually had two screens available and when showing something in
full-screen, only go to full screen on one of the screens, i.e. the projector.
This impression might of course be wrong, but the X server still shouldn't dump
core if Xinerama is enabled...

Comment 8 Bug Zapper 2008-05-14 13:36:05 UTC
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2008-06-17 01:55:01 UTC
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.